Loading...
Searching...
No Matches
Halide::Internal::ExecuteGeneratorArgs Struct Reference

ExecuteGeneratorArgs is the set of arguments to execute_generator(). More...

`#include <Generator.h>`

## Public Types

enum | BuildMode { Default , Gradient }
using | CreateGeneratorFn = std::function<AbstractGeneratorPtr(const std::string &name, const GeneratorContext &context)>

## Public Attributes

std::string | output_dir
std::set< OutputFileType > | output_types
std::vector< Target > | targets
std::vector< std::string > | suffixes
std::string | generator_name
std::string | function_name
std::string | file_base_name
std::string | runtime_name
enum Halide::Internal::ExecuteGeneratorArgs::BuildMode | build_mode = Default
CreateGeneratorFn | create_generator = nullptr
GeneratorParamsMap | generator_params
CompilerLoggerFactory | compiler_logger_factory = nullptr
bool | log_outputs = false

## Detailed Description

ExecuteGeneratorArgs is the set of arguments to execute_generator().

Definition at line 3949 of file Generator.h.

## Member Typedef Documentation

## CreateGeneratorFn

using Halide::Internal::ExecuteGeneratorArgs::CreateGeneratorFn = std::function<AbstractGeneratorPtr(const std::string &name, const GeneratorContext &context)>

Definition at line 3999 of file Generator.h.

## Member Enumeration Documentation

## BuildMode

enum Halide::Internal::ExecuteGeneratorArgs::BuildMode

Enumerator
Default |
Gradient |

Definition at line 3986 of file Generator.h.

## Member Data Documentation

## output_dir

std::string Halide::Internal::ExecuteGeneratorArgs::output_dir

Definition at line 3951 of file Generator.h.

## output_types

std::set<OutputFileType> Halide::Internal::ExecuteGeneratorArgs::output_types

Definition at line 3954 of file Generator.h.

## targets

std::vector<Target> Halide::Internal::ExecuteGeneratorArgs::targets

Definition at line 3958 of file Generator.h.

## suffixes

std::vector<std::string> Halide::Internal::ExecuteGeneratorArgs::suffixes

Definition at line 3964 of file Generator.h.

## generator_name

std::string Halide::Internal::ExecuteGeneratorArgs::generator_name

Definition at line 3968 of file Generator.h.

## function_name

std::string Halide::Internal::ExecuteGeneratorArgs::function_name

Definition at line 3972 of file Generator.h.

## file_base_name

std::string Halide::Internal::ExecuteGeneratorArgs::file_base_name

Definition at line 3976 of file Generator.h.

## runtime_name

std::string Halide::Internal::ExecuteGeneratorArgs::runtime_name

Definition at line 3983 of file Generator.h.

## build_mode

enum Halide::Internal::ExecuteGeneratorArgs::BuildMode Halide::Internal::ExecuteGeneratorArgs::build_mode = Default

## create_generator

CreateGeneratorFn Halide::Internal::ExecuteGeneratorArgs::create_generator = nullptr

Definition at line 4000 of file Generator.h.

## generator_params

GeneratorParamsMap Halide::Internal::ExecuteGeneratorArgs::generator_params

Definition at line 4007 of file Generator.h.

## compiler_logger_factory

CompilerLoggerFactory Halide::Internal::ExecuteGeneratorArgs::compiler_logger_factory = nullptr

Definition at line 4010 of file Generator.h.

## log_outputs

bool Halide::Internal::ExecuteGeneratorArgs::log_outputs = false

Definition at line 4013 of file Generator.h.

The documentation for this struct was generated from the following file:

- src/Generator.h